Summary:	LZMA file compressor (C implementation)
Summary(pl.UTF-8):	Kompresor plików oparty na algorytmie LZMA (implementacja w C)
Name:		clzip
Version:	1.12
Release:	2
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://download.savannah.gnu.org/releases/lzip/clzip/%{name}-%{version}.tar.lz
# Source0-md5:	c68fcc2e2a5b4abb5d63d4481d7eb838
Patch0:		%{name}-info.patch
URL:		http://savannah.nongnu.org/projects/lzip/
BuildRequires:	lzip
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lzip is a lossless file compressor based on the LZMA
(Lempel-Ziv-Markov chain-Algorithm) algorithm designed by Igor Pavlov.
Clzip is in fact a C language version of lzip, intended for embedded
devices or systems lacking a C++ compiler.

%description -l pl.UTF-8
Lzip to bezstratny kompresor plików oparty na algorytmie LZMA
(Lempel-Ziv-Markov chain-Algorithm) opracowanym przez Igora Pawłowa.
Clzip to wersja lzipa napisana w języku C, przeznaczona głównie dla
systemów wbudowanych lub nie mających kompilatora C++.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make} all info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/clzip
%{_mandir}/man1/clzip.1*
%{_infodir}/clzip.info*
%changelog
* Sun May 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clzip.git;a=log;h=master

* Sun May 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 9b32ef8
- rediffed patch, release 2

* Sat May 08 2021 Jakub Bogusz <qboosh@pld-linux.org> f129dbe
- updated to 1.12

* Tue May 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 8e75e9d
- updated to 1.11

* Sat Nov 18 2017 Jakub Bogusz <qboosh@pld-linux.org> eea1109
- updated to 1.9

* Mon Sep 12 2016 Jakub Bogusz <qboosh@pld-linux.org> ee1cbf4
- updated to 1.8
- updated info patch

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> ec1ea7a
- new

